Name:		mz
Version:	0.34.5
Release:	1%{?dist}
Summary:	A fast versatile packet generator

Group:		Applications/Internet
License:	GPLv2
URL:		http://www.perihel.at/sec/%{name}/
Source0:	http://www.perihel.at/sec/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libpcap-devel >= 0.8, libnet-devel >= 1.1, cmake >= 2.4.0

%description
Mausezahn  is  a  free fast traffic generator written in C which allows you to 
send nearly every possible and impossible packet. Mausezahn can also be used 
for example as didactical  tool  in  network labs  or  for security audits 
including penetration and DoS testing. As traffic generator Mausezahn is for 
example used test  IP  multicast  or VoIP  networks. Speeds close to the 
Ethernet limit are reachable (depending on the HW platform).

%prep
%setup -q


%build
cmake . -DCMAKE_INSTALL_PREFIX='%{_prefix}' 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/%{name}
%{_defaultdocdir}/%{name}/
%{_mandir}/man1/%{name}*
%doc AUTHORS ChangeLog COPYING INSTALL README

%changelog
* Sat Nov 1 2008 Vivek Shah <boni.vivek@gmail.com> 0.34.5-1
- Initial package
